Check API key information
curl --request GET \
--url https://api.docksys.xyz/v2/key \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docksys.xyz/v2/key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 200,
"data": {
"pid": "<string>",
"status": "<string>",
"tier": "free",
"latencyMs": 1,
"rateLimit": {
"limited": true,
"cooldownSeconds": 1
},
"quota": {
"requestsRemaining": 123,
"requestsLimit": 123,
"ipRequestsRemaining": 123,
"verifyRequestsRemaining": 123,
"verifyIpRequestsRemaining": 123,
"unlimited": true,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
},
"tier": "free"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
},
"tier": "free"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
},
"tier": "free"
},
"timestamp": "2023-11-07T05:31:56Z"
}API v2
Check API key information
Authenticate the existing backend credential and read non-secret key scope/tier/quota metadata. Does not reveal or replace the key. Cache-Control: no-store.
GET
/
v2
/
key
Check API key information
curl --request GET \
--url https://api.docksys.xyz/v2/key \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docksys.xyz/v2/key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 200,
"data": {
"pid": "<string>",
"status": "<string>",
"tier": "free",
"latencyMs": 1,
"rateLimit": {
"limited": true,
"cooldownSeconds": 1
},
"quota": {
"requestsRemaining": 123,
"requestsLimit": 123,
"ipRequestsRemaining": 123,
"verifyRequestsRemaining": 123,
"verifyIpRequestsRemaining": 123,
"unlimited": true,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
},
"tier": "free"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
},
"tier": "free"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
},
"tier": "free"
},
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Dock API key. Send Authorization: Bearer <api key>.